dbXML API

## org.dbxml.core.security
Class Permission

    java.lang.Object
      |
      +--org.dbxml.core.security.Permission

public final class Permission
extends java.lang.Object

Field Summary
`static int` `ADMIN`
`static java.lang.String` `ADMIN_STR`
`static int` `ALLOW`
`static int` `DELETE`
`static java.lang.String` `DELETE_STR`
`static int` `DENY`
`static int` `EXECUTE`
`static java.lang.String` `EXECUTE_STR`
`static int` `MODIFY`
`static java.lang.String` `MODIFY_STR`
`static int` `READ`
`static java.lang.String` `READ_STR`
`static int` `UNKNOWN`
`static int` `WRITE`
`static java.lang.String` `WRITE_STR`

Constructor Summary
`Permission()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### UNKNOWN

    public static final int UNKNOWN

### READ

    public static final int READ

### WRITE

    public static final int WRITE

### DELETE

    public static final int DELETE

### MODIFY

    public static final int MODIFY

### EXECUTE

    public static final int EXECUTE

### ADMIN

    public static final int ADMIN

### ALLOW

    public static final int ALLOW

### DENY

    public static final int DENY

### READ_STR

    public static final java.lang.String READ_STR

### WRITE_STR

    public static final java.lang.String WRITE_STR

### EXECUTE_STR

    public static final java.lang.String EXECUTE_STR

### MODIFY_STR

    public static final java.lang.String MODIFY_STR

### DELETE_STR

    public static final java.lang.String DELETE_STR

### ADMIN_STR

    public static final java.lang.String ADMIN_STR

Constructor Detail

### Permission

    public Permission()

dbXML API

Copyright (c) 1999-2001 The dbXML Group, All rights reserved